Package com.ocient.jdbc.proto

# Interface PlanProtocol.QueriesVirtualOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.QueriesVirtualOperator`, `PlanProtocol.QueriesVirtualOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.QueriesVirtualOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getDatabase()` | `string database = 2;`
`com.google.protobuf.ByteString` | `getDatabaseBytes()` | `string database = 2;`
`long` | `getLimitVal()` | Probably always set to something other than -1, just used to indicate to VM that there should only be one operator instance of this (and therefore only 1 partition)

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getLimitVal

long getLimitVal()

    Probably always set to something other than -1, just used to indicate to VM that there should only be
    one operator instance of this (and therefore only 1 partition)

`int64 limitVal = 1;`

### getDatabase

String getDatabase()
`string database = 2;`

### getDatabaseBytes

com.google.protobuf.ByteString getDatabaseBytes()
`string database = 2;`